---
- name: Get last version of blackbox exporter
  ansible.builtin.uri:
    url: '{{ blackbox_exporter_github }}'
    body_format: json
  register: page

- name: Set url and path
  ansible.builtin.set_fact:
    blackbox_exporter_url: https://github.com/prometheus/blackbox_exporter/releases/download/{{ page.json.tag_name }}/blackbox_exporter-{{
      page.json.tag_name[1:] }}.linux-{{ blackbox_arch }}.tar.gz
    blackbox_exporter_dist_path: '{{ blackbox_exporter_tmp_dir }}/blackbox_exporter-{{
      page.json.tag_name[1:] }}.linux-{{ blackbox_arch }}'

- name: Download blackbox exporter
  ansible.builtin.get_url:
    url: '{{ blackbox_exporter_url }}'
    dest: '{{ blackbox_exporter_tmp_dir }}/blackbox_exporter.tar.gz'
    mode: 0644
  become: true

- name: Extract blackbox exporter
  ansible.builtin.unarchive:
    src: '{{ blackbox_exporter_tmp_dir }}/blackbox_exporter.tar.gz'
    dest: '{{ blackbox_exporter_tmp_dir }}'
    remote_src: true

- name: Copy blackbox_exporter binary
  ansible.builtin.copy:
    src: '{{ blackbox_exporter_dist_path }}/blackbox_exporter'
    dest: '{{ blackbox_exporter_bin }}'
    mode: 0755
    remote_src: true
  become: true

- name: Copy blackbox_exporter default config
  ansible.builtin.copy:
    src: '{{ blackbox_exporter_dist_path }}/blackbox.yml'
    dest: '{{ blackbox_exporter_conf_dir }}/blackbox.yml'
    mode: 0644
    remote_src: true
  become: true


- name: Create service file
  ansible.builtin.template:
    src: blackbox_exporter.service.j2
    dest: /etc/systemd/system/blackbox_exporter.service
    mode: 0644
  become: true
  notify: blackbox_start_enable

- name: Allow connections on port 9100
  ansible.builtin.iptables:
    chain: INPUT
    protocol: tcp
    destination_port: '{{ blackbox_exporter_port }}'
    jump: ACCEPT
  become: true
